package com.bjzc.bhzhgd.adapter;


import android.content.Context;
import android.graphics.Color;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.bjzc.bhzhgd.DBModel.Dqgz;
import com.bjzc.bhzhgd.R;
import com.zhy.autolayout.utils.AutoUtils;

import java.util.List;

/**
 * 点列表适配器
 */
public class TimerTaskAdapter extends BaseAdapter {

    private Context context;
    private List<Dqgz> list;

    public TimerTaskAdapter(Context context, List<Dqgz> list) {
        this.context = context;
        this.list = list;
    }

    @Override
    public int getCount() {
        return list.size();
    }

    @Override
    public Object getItem(int i) {
        return list.get(i);
    }

    @Override
    public long getItemId(int i) {
        return i;
    }

    @Override
    public View getView(int i, View view, ViewGroup viewGroup) {

        ViewHolder holder;
        if (view == null) {
            holder = new ViewHolder();
            view = LayoutInflater.from(context).inflate(R.layout.dqzg_check_item, viewGroup, false);
            holder.tv_d = view.findViewById(R.id.tv_d);
            holder.tv_zt = view.findViewById(R.id.tv_zt);
            view.setTag(holder);
            AutoUtils.autoSize(view);
        } else {
            holder = (ViewHolder) view.getTag();
        }

        holder.tv_d.setText(list.get(i).getZX_MC());

        if (list.get(i).isWorkChecked()) {
            holder.tv_zt.setText("已检");
            holder.tv_zt.setTextColor(Color.GREEN);
        } else {
            holder.tv_zt.setText("未检");
            holder.tv_zt.setTextColor(Color.RED);
        }
        return view;
    }

    static class ViewHolder {
        TextView tv_d;
        TextView tv_zt;
    }
}